package com.bsoft.api.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import java.util.ArrayList;
import java.util.List;

@RequestMapping("ind")
@Controller
public class IndController {
    @GetMapping
    public ModelAndView index(Model model, String filter){
        model.addAttribute("title", "指标搜索");


        model.addAttribute("indList", null);
        model.addAttribute("filter", filter==null?"":filter);
        ModelAndView mav = new ModelAndView("ind", "indModel", model);

        return mav;
    }

    @PostMapping("search")
    public ModelAndView search(String filter){
        return new ModelAndView("redirect:/ind?filter=" + filter);
    }

}
